buildscript {
    repositories {
        mavenLocal()
        maven {
            allowInsecureProtocol = true
            url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}

apply plugin: "$bootGroup"
apply plugin: 'io.spring.dependency-management'

bootJar.enabled = false
jar.enabled = true

dependencies {
    implementation project(":common:data")
    implementation project(":common:utils")
    api("$bootGroup:spring-boot-starter")
}